Open Lighting Architecture: ola::io::ReadFileDescriptor Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::io::ReadFileDescriptor Class Referenceabstract
I/O & Event Management

## Detailed Description

Represents a file descriptor that supports reading data.

Inheritance diagram for ola::io::ReadFileDescriptor:

## Public Member Functions
virtual DescriptorHandle | ReadDescriptor () const =0
| Returns the read descriptor for this socket.
bool | ValidReadDescriptor () const
| Check if this file descriptor is valid.
virtual void | PerformRead ()=0
| Called when there is data available on the descriptor.

## Member Function Documentation

## ◆ PerformRead()

virtual void ola::io::ReadFileDescriptor::PerformRead | ( |  | ) |
| pure virtual

Called when there is data available on the descriptor.

This is usually called by the SelectServer.

Implemented in ola::DNSSDDescriptor, ola::io::BidirectionalFileDescriptor, ola::network::TCPAcceptingSocket, ola::plugin::openpixelcontrol::TCPAcceptingSocket, ola::rpc::TCPAcceptingSocket, and ola::TCPAcceptingSocket.

## ◆ ReadDescriptor()

virtual DescriptorHandle ola::io::ReadFileDescriptor::ReadDescriptor | ( |  | ) | const
| pure virtual

Returns the read descriptor for this socket.

Returns
  the DescriptorHandle for this descriptor.

Implemented in ola::client::TCPSocket, ola::DNSSDDescriptor, ola::http::UnmanagedFileDescriptor, ola::io::DeviceDescriptor, ola::io::LoopbackDescriptor, ola::io::PipeDescriptor, ola::io::UnixSocket, ola::io::UnmanagedFileDescriptor, ola::network::TCPAcceptingSocket, ola::network::TCPSocket, ola::network::UDPSocket, ola::network::UDPSocketInterface, ola::plugin::artnet::UDPSocket, ola::plugin::espnet::UDPSocket, ola::plugin::kinet::UDPSocket, ola::plugin::openpixelcontrol::TCPAcceptingSocket, ola::plugin::openpixelcontrol::TCPSocket, ola::plugin::pathport::UDPSocket, ola::plugin::sandnet::UDPSocket, ola::plugin::shownet::UDPSocket, ola::rpc::TCPAcceptingSocket, ola::rpc::TCPSocket, ola::TCPAcceptingSocket, and UDPSocket.

## ◆ ValidReadDescriptor()

bool ola::io::ReadFileDescriptor::ValidReadDescriptor | ( |  | ) | const
| inline

Check if this file descriptor is valid.

Returns
  true if the read descriptor is valid.

The documentation for this class was generated from the following file:

- include/ola/io/Descriptor.h